---

# ---
# vars used by roles/ansible_dependencies
# ---


# ---
# vars used by roles/ansible_user
# ---


# ---
# vars used by roles/common/tasks/basic.yml
# ---


# ---
# vars used by roles/common/tasks/sshd.yml
# ---


# ---
# vars used by roles/common/tasks/apt.yml
# ---

install_compiler_pkgs: true

install_postgresql_pkgs: true


# ---
# vars used by roles/common/tasks/systemd-resolved.yml
# ---

systemd_resolved: true

# CyberGhost - Schnelle Verbindung mit Keine-Logs-Datenschutzrichtlinie
#   Primäre DNS-Adresse: 38.132.106.139
#   Sekundäre DNS-Adresse: 194.187.251.67
#
# Cloudflare (USA) Bester kostenloser DNS-Server für Gaming mit zuverlässigen Verbindungen
#   primäre DNS-Adresse
#      IPv4: 1.1.1.1
#      IPv6: 2606:4700:4700::1111
#   sekundäre DNS-Adresse
#      IPv4: 1.0.0.1
#      IPv6: 2606:4700:4700::1001 
# 
# Google (USA) Public DNS - Großartige Kombination aus Geschwindigkeit und Sicherheit
#   primäre DNS-Adresse
#      IPv4: 8.8.8.8
#      IPv6: 2001:4860:4860::8888
#   sekundäre DNS-Adresse
#      IPv4: 8.8.4.4
#      IPv6: 2001:4860:4860::8844
#
# Quad9 (CH) - Blockiert mühelos schädliche Seiten und verhindert Phishing-Betrug
#   primäre DNS-Adresse
#      IPv4: 9.9.9.9  
#      IPv6: 2620:fe::fe 
#   sekundäre DNS-Adresse
#      IPv4: 149.112.112.112
#      IPv6: 2620:fe::9
#
# OpenNIC - https://www.opennic.org/
#      IPv4: 195.10.195.195 - ns31.de 
#      IPv4: 94.16.114.254  - ns28.de 
#      IPv4: 51.254.162.59  - ns9.de   
#      IPv4: 194.36.144.87  - ns29.de
#      IPv6: 2a00:f826:8:2::195 - ns31.de
# 
# Freifunk München (normales DNS, DNS-over-TLS und DNS-over-HTTPS) 
#    IPv4: 5.1.66.255
#    IPv6: 2001:678:e68:f000::
#    Servername für DNS-over-TLS: dot.ffmuc.net
#    IPv4: 185.150.99.255
#    IPv6: 2001:678:ed0:f000::
#    Servername für DNS-over-TLS: dot.ffmuc.net
#    für iOS 14+: DoT-Server-Konfiguration (unsigniert, vom PrHdb)
resolved_nameserver:
  - 127.0.0.1

# search domains
#
# If there are more than one search domains, then specify them here in the order in which 
# the resolver should also search them
#
#resolved_domains: []
resolved_domains:
  - ~.
  - oopen.de

resolved_dnssec: false

# dns.as250.net: 194.150.168.168
#
resolved_fallback_nameserver:
   - 194.150.168.168


# ---
# vars used by roles/common/tasks/users.yml
# ---

insert_root_ssh_keypair: true

root_ssh_keypair:
  - name: id-rsa-dehydrated
    priv_key_src: d.mx/root/.ssh/d.mx-id_rsa-dehydrated
    priv_key_dest: /root/.ssh/id_rsa-dehydrated
    pub_key_src: d.mx/root/.ssh/d.mx-id_rsa-dehydrated.pub
    pub_key_dest: /root/.ssh/id_rsa-dehydrated.pub
  - name: id-rsa-opendkim
    priv_key_src: d.mx/root/.ssh/d.mx-id_rsa-opendkim
    priv_key_dest: /root/.ssh/id_rsa-opendkim
    pub_key_src: d.mx/root/.ssh/d.mx-id_rsa-opendkim.pub
    pub_key_dest: /root/.ssh/id_rsa-opendkim.pub


# ---
# vars used by roles/common/tasks/users-systemfiles.yml
# ---


# ---
# vars used by roles/common/tasks/webadmin-user.yml
# ---


# ---
# vars used by roles/common/tasks/sudoers.yml
# ---
#
# see: roles/common/tasks/vars


# ---
# vars used by roles/common/tasks/caching-nameserver.yml
# ---


# ---
# vars used by roles/common/tasks/git.yml
# ---
#
# see: roles/common/tasks/vars


# ---
# vars used by roles/common/tasks/copy_files.yml
# ---

copy_plain_files:

  - name: postfix_create_opendkim_key.conf
    src_path: d.mx/root/bin/postfix/conf/create_opendkim_key.conf
    dest_path: /root/bin/postfix/conf/create_opendkim_key.conf

  - name: postfix_whitelist_mb_sigs.conf
    src_path: d.mx/root/bin/postfix/conf/whitelist_mb_sigs.conf
    dest_path: /root/bin/postfix/conf/whitelist_mb_sigs.conf

  - name: install_sympa.conf
    src_path: lists.mx.warenform/usr/local/src/sympa/conf/install_sympa.conf
    dest_path: /usr/local/src/sympa/conf/install_sympa.conf


copy_template_files: []
#
#  - name: mailsystem_install_amavis.conf
#    src_path: usr/local/src/mailsystem/conf/install_amavis.conf.j2
#    dest_path: /usr/local/src/mailsystem/conf/install_amavis.conf



# ---
# vars used by roles/common/tasks/config_files_mailsystem_scripts.yml
# ---

hostname: d.mx.oopen.de
ipv4_address: 95.217.204.227
ipv6_address: 2a01:4f9:4a:47e5::227

admin_email: argus@oopen.de
is_relay_host: false
is_sympa_list_server: true

# install_amavis.conf
#
mp_receipt_number: 106015125438
si_authorisation_signature: abb4ec6b194639f3d123154f1b971843a3b8751d8c1bcdc7d07ed6db26621b11bca0e23d2a42b60aef3f7b7803a1466a964d90c7b1e82d67c7680c8f46b59a4e


template_files_mailsystem_script:

  - name: mailsystem_install_postfix_advanced.conf
    src_path: usr/local/src/mailsystem/conf/install_postfix_advanced.conf.j2
    dest_path: /usr/local/src/mailsystem/conf/install_postfix_advanced.conf

  - name: mailsystem_install_amavis.conf
    src_path: usr/local/src/mailsystem/conf/install_amavis.conf.j2
    dest_path: /usr/local/src/mailsystem/conf/install_amavis.conf
